void spiffInit() {
  SPIFFS.begin();

  if (!SPIFFS.exists("/formatComplete.txt")) {
    Serial.println("Please wait 30 secs for SPIFFS to be formatted");
    build_wwwStatus2("SPIFF formatting");
    SPIFFS.format();
    Serial.println("Spiffs formatted");
    
    File f = SPIFFS.open("/formatComplete.txt", "w");
    if (!f) {
        Serial.println("file open failed");
        build_wwwStatus2("SPIFF format failed");
    } else {
        f.println("Format Complete");
        build_wwwStatus2("SPIFF formatted");
    }
  } else {
    Serial.println("SPIFFS is formatted. Moving along...");
    build_wwwStatus2("SPIFF mounted");
  }
  SPIFFS.info(fs_info);
}

int getLastState() {  // 0 = OFF   // 1 = ON
    File f = SPIFFS.open("/status.txt","r");
    if (!f) {
        build_wwwStatus2("State read: cannot read status.txt");
        return 0;
    } else {
        String line="0";
        while (f.available()) {
            line = f.readStringUntil('\n');
        }
        f.close();
        int state = line.toInt();
        if (state<0 || state>0) {
            state=0;
            build_wwwStatus2("State read: bad value - off");
        } else {
            if (state==1) {
                build_wwwStatus2("State read: on");
            } else {
                build_wwwStatus2("State read: off");
            }
        }
        return state;
    }

}

void writeState(int state) {
    File f = SPIFFS.open("/status.txt","w");
    if (!f) {
        build_wwwStatus2("State save: cannot write status.txt");
    } else {
        if (state==1) {
            build_wwwStatus2("State saved: on");
        } else {
            build_wwwStatus2("State saved: off");
        }
        f.println(String(state));
        f.close();
    }
}
