void sendWebPageChunkedData(String data)
{
	String tmp;
	delay(20);
  if (data.length() > 0)
  {
    String size;
    size=String(data.length(), HEX)+"\r\n";
     //do chunked transfer encoding ourselfs (WebServer doesnt support it)
	#define MAXSIZECH 1300
	int i = 0;
	unsigned int memory = 0; 
	unsigned int timeout = 0;

	// split into chunks of MAXSIZECH
	for (unsigned int l = 0; l < (data.length() / MAXSIZECH);l++) {
		tmp = data.substring(i, i+ MAXSIZECH);			// prepare tmp string for passing to sendContent()
 		
 		memory = ESP.getFreeHeap();					// available memory before send
		timeout = 0; 								// init timeout
		server.sendContent(tmp);
 		i = i + MAXSIZECH;
		while ((ESP.getFreeHeap() < memory)&&(timeout <50)) {	// wait for memory to return or the timeout
			delay(5);	
			timeout++;				
			}
		}
		
	// send remainder	
	tmp = data.substring(i, data.length());
	timeout = 0;
	memory = ESP.getFreeHeap();					// available memory befor send
	server.sendContent(tmp);
	while ((ESP.getFreeHeap() < memory) && (timeout <50)) {	// wait for memory to return
		delay(5);
		timeout++;
	}

    data = F("");   //free RAM
    tmp = F("");
  }
}


void sendWebPageChunkedEnd()
{
   server.sendContent("");
   server.client().flush();
   server.client().stop();
}